package ru.mai.dep806.money;

import java.math.BigDecimal;

/**
 * Created by stud on 26.02.2015.
 */
public class Main {

    public static void main(String[] args) {
        Money m1 = new Money(new BigDecimal("100.0"), Currency.RUR);
        Money m2 = new Money("100.0", Currency.RUR);

        System.out.println(m1.toString());

        Money m3 = m1.add(m2);
        System.out.println(m3);

        Money m4 = new Money("100.0", Currency.EUR);
        System.out.println(m1.add(m4));

        System.out.println();
        System.out.println("Quantity");

        // создали объект 1
        Quantity q1 = new Quantity(new BigDecimal("20.0"), UOM.KG);
        System.out.println(q1.toString());

        // создали объект 2
        Quantity q2 = new Quantity("30.0", UOM.KG);
        System.out.println(q2.toString());

        // объект 3 - это сумма о1 и о2
        Quantity q3 = q1.add(q2);
        System.out.println(q3);

        Quantity q4 = new Quantity("2000.0", UOM.GR);
        System.out.println(q1.add(q4));


    }

}
